# $Revision: 1.4 $, $Date: 2009/10/07 08:07:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	Tests
Summary:	Pod::Tests - Extracts embedded tests and code examples from POD
Summary(pl.UTF-8):	Pod::Tests - wydobywanie osadzonych testów i przykładowego kodu z POD
Name:		perl-Pod-Tests
Version:	1.19
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Pod/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9c1a062bc7689e0c4f94784e3de69f35
URL:		http://search.cpan.org/dist/Pod-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(overload()'

%description
This is a specialized POD viewer to extract embedded tests and code
examples from POD. It doesn't do much more than that. pod2test does
the useful work.

%description -l pl.UTF-8
Ten pakiet jest specjalizowaną przeglądarką POD służącą do wyciągania
osadzonych testów i przykładowego kodu z dokumentacji w formacie POD.
Robi niewiele więcej. pod2test wykonuje przydatną czynność.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/pod2test
%{perl_vendorlib}/Pod/Tests.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pod-Tests.spec,v $
Revision 1.4  2009/10/07 08:07:22  amateja
- updated to 1.19

Revision 1.3  2008/02/25 20:53:17  qboosh
- pl

Revision 1.2  2007-11-13 11:49:35  hawk
- aagh! fixed package name

Revision 1.1  2007-11-13 11:45:25  hawk
- initial spec for PLD
